#### D.6.18.7 UpperMonomials

Procedure from library `qhmoduli.lib` (see qhmoduli_lib).

Usage:
  UpperMonomials(poly f, [intvec w])

Purpose:
  compute the upper monomials of the milnor algebra of f.

Assume:
  f is quasihomogeneous (w.r.t. w)

Return:
  ideal

Example:

    LIB "qhmoduli.lib";
    ring B   = 0,(x,y,z), ls;
    poly f = -z5+y5+x2z+x2y;
    UpperMonomials(f);
    ==> _[1]=y3z3
    ==> _[2]=x2y3
    ==> _[3]=x2y2

User manual for Singular version 4.4.1, 2025, generated by texi2html.